<?php
/**
 * Theme Customizer Controls
 *
 * @package Legacy Book Club
 */

if ( ! function_exists( 'legacy_book_club_customizer_general_setting_register' ) ) :
function legacy_book_club_customizer_general_setting_register( $wp_customize ) {
 
 	$wp_customize->add_section(
        'legacy_book_club_general_settings',
        array (
            'priority'      => 25,
            'capability'    => 'edit_theme_options',
            'title'         => esc_html__( 'General Settings', 'legacy-book-club' )
        )
    );

 	// Add general Panel for preloader and scrolltop
    $wp_customize->add_panel(
        'legacy_book_club_general_settings_panel',
        array(
            'priority'      => 30,
            'capability'    => 'edit_theme_options',
            'title'         => esc_html__( 'General Settings', 'legacy-book-club' ),
        )
    );

    // Section preloader
    $wp_customize->add_section(
        'legacy_book_club_prelodr_settings',
        array(
            'priority'      => 25,
            'capability'    => 'edit_theme_options',
            'title'         => esc_html__( 'Preloader', 'legacy-book-club' ),
            'panel'         => 'legacy_book_club_general_settings_panel',
        )
    );

    // Title label
	$wp_customize->add_setting( 
		'legacy_book_club_preloader_settings', 
		array(
		    'sanitize_callback' => 'legacy_book_club_sanitize_title',
		) 
	);

	$wp_customize->add_control( 
		new Legacy_Book_Club_Title_Info_Control( $wp_customize, 'legacy_book_club_preloader_settings', 
		array(
		    'label'       => esc_html__( 'Preloader Settings', 'legacy-book-club' ),
		    'section'     => 'legacy_book_club_prelodr_settings',
		    'type'        => 'legacy-book-club-title',
		    'settings'    => 'legacy_book_club_preloader_settings',
		) 
	));

	// Add an option to enable the preloader
	$wp_customize->add_setting( 
		'legacy_book_club_enable_preloader', 
		array(
		    'default'           => false,
		    'type'              => 'theme_mod',
		    'sanitize_callback' => 'legacy_book_club_sanitize_checkbox',
		) 
	);

	$wp_customize->add_control( 
		new Legacy_Book_Club_Toggle_Control( $wp_customize, 'legacy_book_club_enable_preloader', 
		array(
		    'label'       => esc_html__( 'Show Preloader', 'legacy-book-club' ),
		    'section'     => 'legacy_book_club_prelodr_settings',
		    'type'        => 'legacy-book-club-toggle',
		    'settings'    => 'legacy_book_club_enable_preloader',
		) 
	));


    // Section Body Typography
    $wp_customize->add_section(
        'legacy_book_club_scrol_settings',
        array(
            'priority'      => 30,
            'capability'    => 'edit_theme_options',
            'title'         => esc_html__( 'Scroll Top', 'legacy-book-club' ),
            'panel'         => 'legacy_book_club_general_settings_panel',
        )
    );


	// Title label
	$wp_customize->add_setting( 
		'legacy_book_club_scroll_top_settings', 
		array(
		    'sanitize_callback' => 'legacy_book_club_sanitize_title',
		) 
	);

	$wp_customize->add_control( 
		new Legacy_Book_Club_Title_Info_Control( $wp_customize, 'legacy_book_club_scroll_top_settings', 
		array(
		    'label'       => esc_html__( 'Scroll Top Settings', 'legacy-book-club' ),
		    'section'     => 'legacy_book_club_scrol_settings',
		    'type'        => 'legacy-book-club-title',
		    'settings'    => 'legacy_book_club_scroll_top_settings',
		) 
	));

	// Add an option to enable the scrolltop
	$wp_customize->add_setting( 
		'legacy_book_club_enable_scrolltop', 
		array(
		    'default'           => true,
		    'type'              => 'theme_mod',
		    'sanitize_callback' => 'legacy_book_club_sanitize_checkbox',
		) 
	);

	$wp_customize->add_control( 
		new Legacy_Book_Club_Toggle_Control( $wp_customize, 'legacy_book_club_enable_scrolltop', 
		array(
		    'label'       => esc_html__( 'Show Scroll Top', 'legacy-book-club' ),
		    'section'     => 'legacy_book_club_scrol_settings',
		    'type'        => 'legacy-book-club-toggle',
		    'settings'    => 'legacy_book_club_enable_scrolltop',
		) 
	));

	 $wp_customize->add_section(
        'legacy_book_club_button_settings',
        array(
            'priority'      => 25,
            'capability'    => 'edit_theme_options',
            'title'         => esc_html__( 'Buttons', 'legacy-book-club' ),
            'panel'         => 'legacy_book_club_general_settings_panel',
        )
    );

	 // Border Radius Setting
	$wp_customize->add_setting(
	    'legacy_book_club_button_border_radius',
	    array(
	        'default'           => '0px',
	        'sanitize_callback' => 'sanitize_text_field',
	        'transport'         => 'refresh',
	    )
	);

	$wp_customize->add_control(
	    'legacy_book_club_button_border_radius',
	    array(
	        'type'     => 'text',
	        'label'    => esc_html__( 'Button Border Radius (e.g. 4px, 50%)', 'legacy-book-club' ),
	        'section'  => 'legacy_book_club_button_settings',
	    )
	);

	// Button Padding Setting
	$wp_customize->add_setting(
	    'legacy_book_club_button_padding',
	    array(
	        'default'           => '10px 20px',
	        'sanitize_callback' => 'sanitize_text_field',
	        'transport'         => 'refresh',
	    )
	);

	$wp_customize->add_control(
	    'legacy_book_club_button_padding',
	    array(
	        'type'     => 'text',
	        'label'    => esc_html__( 'Button Padding (e.g. 10px 20px)', 'legacy-book-club' ),
	        'section'  => 'legacy_book_club_button_settings',
	    )
	);


}
endif;

add_action( 'customize_register', 'legacy_book_club_customizer_general_setting_register' );